RDKit::MolHolder Class Reference

Concrete class that holds molecules in memory. More...

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::MolHolder:

## Public Member Functions

| MolHolder ()
virtual unsigned int | addMol (const ROMol &m)
virtual boost::shared_ptr< ROMol > | getMol (unsigned int idx) const
virtual unsigned int | size () const
| Get the current library size. More...
std::vector< boost::shared_ptr< ROMol > > & | getMols ()
const std::vector< boost::shared_ptr< ROMol > > & | getMols () const
Public Member Functions inherited from RDKit::MolHolderBase
virtual | ~MolHolderBase ()

## Detailed Description

Concrete class that holds molecules in memory.

This is currently one of the faster implementations. However it is very memory intensive.

Definition at line 72 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## MolHolder()

RDKit::MolHolder::MolHolder | ( |  | ) |

inline

Definition at line 76 of file SubstructLibrary.h.

## Member Function Documentation

## addMol()

virtual unsigned int RDKit::MolHolder::addMol | ( | const ROMol & | m | ) |

inline virtual

Add a new molecule to the substructure search library Returns the molecules index in the library

Implements RDKit::MolHolderBase.

Definition at line 78 of file SubstructLibrary.h.

## getMol()

virtual boost::shared_ptr<ROMol> RDKit::MolHolder::getMol | ( | unsigned int | idx | ) | const

inline virtual

Implements RDKit::MolHolderBase.

Definition at line 83 of file SubstructLibrary.h.

## getMols() [1/2]

std::vector<boost::shared_ptr<ROMol> >& RDKit::MolHolder::getMols | ( |  | ) |

inline

Definition at line 92 of file SubstructLibrary.h.

## getMols() [2/2]

const std::vector<boost::shared_ptr<ROMol> >& RDKit::MolHolder::getMols | ( |  | ) | const

inline

Definition at line 93 of file SubstructLibrary.h.

## size()

virtual unsigned int RDKit::MolHolder::size | ( |  | ) | const

inline virtual

Get the current library size.

Implements RDKit::MolHolderBase.

Definition at line 88 of file SubstructLibrary.h.

The documentation for this class was generated from the following file:

- SubstructLibrary.h